<html>
<head>
<style><!--
.hmmessage P
{
margin:0px;
padding:0px
}
body.hmmessage
{
font-size: 10pt;
font-family:Verdana
}
--></style>
</head>
<body class='hmmessage'>
<br><br><br>> ----------------------------------------------------------------------<br>> <br>> Message: 1<br>> Date: Fri, 15 Jan 2010 20:49:42 -0700<br>> From: RobertHoltzman <holtzm@cox.net><br>> Subject: flash problem<br>> To: ubuntu-users@lists.ubuntu.com<br>> Message-ID: <20100116034942.GA7486@cox.net><br>> Content-Type: text/plain; charset="us-ascii"<br>> <br>> Running Hardy fully updated with adobe-flashplugin 10.0.42.34-2 from the<br>> Ubuntu repos. I'm having trouble getting some sites ( hulu.com for one) to <br>> function. They all tell me to d/l the latest Flash Player. Just for the<br>> hell of it I clicked on the link they presented and it took me to the<br>> Adobe site where I had the opportunity to obtain Adobe Flash Player<br>> version 10.0.42.34 which, of course, was already installed. Now...what<br>> am I not understanding here?<br>> <br>> My version appears to be Ubuntu's free version. I assume the one from<br>> the Adobe site is nonfree. Is that the problem? If so, what is the<br>> downside of using the one from the Adobe site, assuming it will work.<br>> <br>> Ubuntu docs say to install flashplugin-nonfree and<br>> flashplugin-nonfree-extrasound from the multiverse repo. First, no joy<br>> with lashplugin-nonfree. Second, and moot, there is no<br>> flashplugin-nonfree-extrasound listed.<br>> <br>> There are some sites that work apparently without flash. My<br>> understanding is that this has something to do with the way the site is<br>> coded. True?<br>> <br>> Anyone else having this problem?  <br>> <br>> I've run off at the mouth enough. Any ideas?<br>> -- <br>> Bob Holtzman<br>> GPG key ID = 8D549279<br>> If you think you're getting free lunch<br>> check the price of the beer.<br>> -------------- next part --------------<br>> A non-text attachment was scrubbed...<br>> Name: not available<br>> Type: application/pgp-signature<br>> Size: 189 bytes<br>> Desc: Digital signature<br>> Url : https://lists.ubuntu.com/archives/ubuntu-users/attachments/20100115/6daa7b84/attachment-0001.pgp <br>> <br>> ------------------------------<br><br>I encountered the same problem with Hardy. The problem is where the plugin is installed. The package flashplugin-nonfree installs into /usr/lib/flashplugin-nonfree, while the version from the Adobe website (adobe-flashplugin) installs into /usr/lib/adobe-flashplugin. It seems that this second location is not checked by Firefox. <br><br>Furthermore, the flashplugin-nonfree package in the main Hardy repos is really ver 9
- it is detected as ver 9 r 260 on Adobe's version check page.<br><br>A solution is 1) uninstall the flashplugin-nonfree package 2) recreate the directory /usr/lib/flashplugin-nonfree (since it is deleted when the package is uninstalled) and 3) copy the file you installed from the Adobe website (libflashplayer.so) from /usr/lib/adobe-flashplugin into /usr/lib/flashplugin-nonfree. Firefox will detect it there, and Hulu will work. <br><br><br>You can also get the same package as the Adobe site offers by enabing the Canonical 'ubuntu hardy partner' repo under Third Party Software.<br><br><br><br><br>                                          <br /><hr />Hotmail: Powerful Free email with security by Microsoft. <a href='http://clk.atdmt.com/GBL/go/196390710/direct/01/' target='_new'>Get it now.</a></body>
</html>